import { DateTime } from "luxon";
import { ValidationReport } from "../validation-result/ValidationReport";
import { NumberValidator } from "../validators/NumberValidator";
import { ObjectValidator } from "../validators/ObjectValidator";
import { StringValidator } from "../validators/StringValidator";
import { TimestampValidator } from "../validators/TimestampValidator";
/**
 * A collection of default reporting validators that will not throw errors automatically on validation failure, but will keep track of them in a ValidationReport.
 */
export declare const reportingValidator: {
    objects: ObjectValidator<unknown, ValidationReport<unknown>>;
    strings: StringValidator<ValidationReport<string>>;
    numbers: NumberValidator<ValidationReport<number>>;
    timestamps: TimestampValidator<ValidationReport<DateTime>>;
};
