import { DateTime } from "luxon";
/**
 * The deafult ErrorMessageFactories.
 */
export declare const errorMessageFactories: {
    numbers: {
        validateMinValue: (subject: string, value: number, min: number) => string;
        validateMaxValue: (subject: string, value: number, max: number) => string;
        validateMinAndMaxValue: (subject: string, value: number, min: number, max: number) => string;
        validateIsPositive: (subject: string, value: number) => string;
        validateIsNegative: (subject: string, value: number) => string;
        validateIsDivisibleBy: (subject: string, value: number, divisibleBy: number) => string;
        validateIsFactorOf: (subject: string, value: number, factorOf: number) => string;
        validateIsEven: (subject: string, value: number) => string;
        validateIsOdd: (subject: string, value: number) => string;
    };
    strings: {
        validateNotEmpty: (subject: string, value: string) => string;
        validateMinLength: (subject: string, value: string, min: number) => string;
        validateMaxLength: (subject: string, value: string, max: number) => string;
        validateMinAndMaxLength: (subject: string, value: string, min: number, max: number) => string;
        validateDoesNotContain: (subject: string, value: string, forbidden: string) => string;
        validateResemblesEmail: (subject: string, value: string) => string;
    };
    objects: {
        validateNotNull: <InputType>(subject: string, value: InputType) => string;
        validateNotUndefined: <InputType_1>(subject: string, value: InputType_1) => string;
        validateNotNullOrUndefined: <InputType_2>(subject: string, value: InputType_2) => string;
    };
    timestamps: {
        validateIsAfter: (subject: string, value: DateTime, isAfter: DateTime) => string;
        validateIsBefore: (subject: string, value: DateTime, isBefore: DateTime) => string;
        validateIsInPast: (subject: string, value: DateTime) => string;
        validateIsInFuture: (subject: string, value: DateTime) => string;
    };
};
